title1 CENSUS OF CANADA 1981 - BST: EA-SHORT FORM- EAH81A10
title2 SAS commands by Sushil Kumar, UT/DLS 09/2003, using DAIS ddims Publisher

LIBNAME LIBRARY 'C:\SUSHIL\CC81\EA\SHORT\';
LIBNAME OUT 'C:\SUSHIL\CC81\EA\SHORT\';
PROC FORMAT LIBRARY=LIBRARY ;
  Value  V1_F
    0.00='Canada'
    10.00='Newfoundland'
    11.00='Prince Edward Island'
    12.00='Nova Scotia'
    13.00='New Brunswick'
    24.00='Quebec'
    35.00='Ontario'
    46.00='Manitoba'
    47.00='Saskatchewan'
    48.00='Alberta'
    59.00='British Columbia'
    60.00='Yukon'
    61.00='Northwest Territories'
  ;
  Value  V6_F
    1.00='500,000 & over'
    2.00='100,000 - 499,999'
    3.00='30,000 - 99,999'
    4.00='10,000 - 29,999'
    5.00='5,000 - 9,999'
    6.00='2,500 - 4,999'
    7.00='1,000 - 2,499'
    8.00='0 - 999'
  ;
  Value  V11_F
    1.00='Urbanized core'
    2.00='Urban fringe'
    3.00='Rural fringe'
  ;
  Value  V12_F
    0.00='Not a CMA/CA'
    1.00='CMA'
    2.00='CA'
  ;
  Value  V13_F
    0.00='Not a CMA/CA'
    1.00='1,000,000 & over'
    2.00='500,000 - 999,999'
    3.00='250,000 - 499,999'
    4.00='100,000 - 249,999'
    5.00='50,000 - 99,999'
    6.00='25,000 - 49,999'
    7.00='10,000 - 24,999'
  ;
  Value  V18_F
    0.00='Rural'
    1.00='500,000 & over'
    2.00='100,000 - 499,999'
    3.00='30,000 - 99,999'
    4.00='10,000 - 29,999'
    5.00='5,000 - 9,999'
    6.00='2,500 - 4,999'
    7.00='1 - 2,499'
  ;
  Value  V22_F
    1.00='Includes IR or part of IR'
  ;
  Value  V23_F
    1.00='Canada'
    2.00='Provinces'
    3.00='Remainder'
    10.00='CMA/CA'
    12.00='Prov. CT subtotal'
    13.00='Census tracts'
    15.00='Prov. census tracts'
    16.00='Census divisions'
    17.00='Census subdivisions'
    18.00='Federal electoral districts'
    19.00='Enumeration areas'
  ;
RUN;
DATA  OUT.EAH81A10;
 INFILE 'C:\SUSHIL\CC81\EA\SHORT\EAH81A10.DAT' LRECL = 580;
 INPUT
  RP 1-2  FED 3-5  EA 6-8  CD 9-10  CSDGC 11-13  CSDS 14-14  CSDTN 15-17  CSDT 18-19  CCSGC 20-22  CA 23-25
  CAP 26-26  CASL 27-27  CASZ 28-28  CTPN 29-35  CT 36-39  SPR 40-41  UAC 42-45  URS 46-46  BLANK1 47-47  BLANK2 48-48
  BLANK3 49-49  HGIMPIND 50-50  RECTYPE 51-52  F2 53-63  F3 64-74  F4 75-85  F5 86-96  F6 97-107  F7 108-118  F8 119-129
  F9 130-140  F10 141-151  F11 152-162  F12 163-173  F13 174-184  F14 185-195  F15 196-206  F16 207-217  F17 218-228  F18 229-239
  F19 240-250  F20 251-261  F21 262-272  F22 273-283  F23 284-294  F24 295-305  F25 306-316  F26 317-327  F27 328-338  F28 339-349
  F29 350-360  F30 361-371  F31 372-382  F32 383-393  F33 394-404  F34 405-415  F35 416-426  F36 427-437  F37 438-448  F38 449-459
  F39 460-470  F40 471-481  F41 482-492  F42 493-503  F43 504-514  F44 515-525  F45 526-536  F46 537-547  F47 548-558  F48 559-569
  F49 570-580 ;

  FORMAT  RP V1_F. ;
  FORMAT  CSDS V6_F. ;
  FORMAT  CAP V11_F. ;
  FORMAT  CASL V12_F. ;
  FORMAT  CASZ V13_F. ;
  FORMAT  URS V18_F. ;
  FORMAT  HGIMPIND V22_F. ;
  FORMAT  RECTYPE V23_F. ;
  LABEL
    RP='Region and province'
    FED='Federal electoral district'
    EA='Enumeration area'
    CD='Census division'
    CSDGC='Census subdivision geographical classification'
    CSDS='CSD population size group'
    CSDTN='CSD type name'
    CSDT='CSD type code'
    CCSGC='Census consolidated subdivision geographical classification'
    CA='Census metropolitan area/Census agglomeration'
    CAP='CMA/CA part'
    CASL='CMA/CA selector'
    CASZ='CMA/CA population size group'
    CTPN='Census tract/Provincial census tract name'
    CT='Census tract/Provincial census tract code'
    SPR='Subprovincial region'
    UAC='Urban area code/Rural indicator'
    URS='Urabn area population size group'
    BLANK1='Blank'
    BLANK2='Blank'
    BLANK3='Blank'
    HGIMPIND='Indian Reserve: High imputation area indicator'
    RECTYPE='Record type'
    F2='Total pvt households'
    F3='Pvt hhlds - 1 person'
    F4='Pvt hhlds - 2 persons'
    F5='Pvt hhlds - 3 persons'
    F6='Pvt hhlds - 4 persons'
    F7='Pvt hhlds - 5 persons'
    F8='Pvt hhlds - 6 persons'
    F9='Pvt hhlds - 7 persons'
    F10='Pvt hhlds - 8 persons'
    F11='Pvt hhlds - 9 persons'
    F12='Pvt hhlds - 10 or more persons'
    F13='Tot persons in pvt hhlds'
    F14='Avg no. of persons per hhld'
    F15='Total census family hhlds'
    F16='Cen fam hhlds - 2 persons'
    F17='Cen fam hhlds - 3 persons'
    F18='Cen fam hhlds - 4 persons'
    F19='Cen fam hhlds - 5 persons'
    F20='Cen fam hhlds - 6 persons'
    F21='Cen fam hhlds - 7 persons'
    F22='Cen fam hhlds - 8 persons'
    F23='Cen fam hhlds - 9 persons'
    F24='Cen fam hhlds - 10 or more persons'
    F25='Tot no. of persons in cen fam hhlds'
    F26='Avg. no. of persons per cen fam hhld'
    F27='Tot pvt hhlds'
    F28='Prim fam hhlds: H-W fam: Without chldrn: Without addnl person'
    F29='Prim fam hhlds: H-W fam: Without chldrn: With addnl person'
    F30='Prim fam hhlds: H-W fam: Without chldrn'
    F31='Prim fam hhlds: H-W fam: With chldrn: Without addnl person'
    F32='Prim fam hhlds: H-W fam: With chldrn: With addnl person'
    F33='Prim fam hhlds: H-W fam: With chldrn'
    F34='Prim fam hhlds: H-W fam'
    F35='Prim fam hhlds: LP fam: Without addnl person'
    F36='Prim fam hhlds: LP fam: With addnl person'
    F37='Prim fam hhlds: LP fam'
    F38='Prim fam hhlds'
    F39='Sec fam hhlds: H-W fam: Without chldrn'
    F40='Sec fam hhlds: H-W fam: With chldrn'
    F41='Sec fam hhlds: H-W fam'
    F42='Sec fam hhlds: LP fam'
    F43='Sec fam hhlds'
    F44='One fam hhlds'
    F45='Multiple fam hhlds'
    F46='Family hhlds'
    F47='Non-fam hhlds - One person only'
    F48='Non-fam hhlds - Two or more persons'
    F49='Non-fam hhlds'
  ;
  ;
RUN;
