* Encoding: windows-1252.
/* SPSS Data Definition File
/* Modified by Sahar Ghanavati, Map and Data Library, University of Toronto, August, 2014
TITLE 'CENSUS OF CANADA 1981 - BST: EA-SHORT FORM- EAH81A10'.
SUBTITLE 'SPSS commands by Sushil Kumar, UT/DLS 09/2003, using DAIS ddims Publisher'.

FILE HANDLE in NAME='x' LRECL=727.    /* replace 'x' with input file path name for corresponding data file. 

DATA LIST FILE=in/
  RP 1-2  FED 3-5  EA 6-8  CD 9-10  CSDGC 11-13  CSDS 14  CSDTN 15-17 (A)  CSDT 18-19  CCSGC 20-22  CA 23-25
  CAP 26  CASL 27  CASZ 28  CTPN 29-35  CT 36-39  SPR 40-41  UAC 42-45  URS 46  BLANK1 47  BLANK2 48
  BLANK3 49  HGIMPIND 50  RECTYPE 51-52  F2 53-61  F3 64-72  F4 75-83  F5 86-94  F6 97-105  F7 108-116  F8 119-127
  F9 130-138  F10 141-149  F11 152-160  F12 163-171  F13 174-182  F14 185-193  F15 196-204  F16 207-215  F17 218-226  F18 229-237
  F19 240-248  F20 251-259  F21 262-270  F22 273-281  F23 284-292  F24 295-303  F25 306-314  F26 317-325  F27 328-336  F28 339-347
  F29 350-358  F30 361-369  F31 372-380  F32 383-391  F33 394-402  F34 405-413  F35 416-424  F36 427-435  F37 438-446  F38 449-457
  F39 460-468  F40 471-479  F41 482-490  F42 493-501  F43 504-512  F44 515-523  F45 526-534  F46 537-545  F47 548-556  F48 559-567
  F49 570-578.
VARIABLE LABELS
   RP 'Region and province'
 / FED 'Federal electoral district'
 / EA 'Enumeration area'
 / CD 'Census division'
 / CSDGC 'Census subdivision geographical classification'
 / CSDS 'CSD population size group'
 / CSDTN 'CSD type name'
 / CSDT 'CSD type code'
 / CCSGC 'Census consolidated subdivision geographical classification'
 / CA 'Census metropolitan area/Census agglomeration'
 / CAP 'CMA/CA part'
 / CASL 'CMA/CA selector'
 / CASZ 'CMA/CA population size group'
 / CTPN 'Census tract/Provincial census tract name'
 / CT 'Census tract/Provincial census tract code'
 / SPR 'Subprovincial region'
 / UAC 'Urban area code/Rural indicator'
 / URS 'Urban area population size group'
 / BLANK1 'Blank'
 / BLANK2 'Blank'
 / BLANK3 'Blank'
 / HGIMPIND 'Indian Reserve: High imputation area indicator'
 / RECTYPE 'Record type'
 / F2 'Total pvt households'
 / F3 'Pvt hhlds - 1 person'
 / F4 'Pvt hhlds - 2 persons'
 / F5 'Pvt hhlds - 3 persons'
 / F6 'Pvt hhlds - 4 persons'
 / F7 'Pvt hhlds - 5 persons'
 / F8 'Pvt hhlds - 6 persons'
 / F9 'Pvt hhlds - 7 persons'
 / F10 'Pvt hhlds - 8 persons'
 / F11 'Pvt hhlds - 9 persons'
 / F12 'Pvt hhlds - 10 or more persons'
 / F13 'Tot persons in pvt hhlds'
 / F14 'Avg no. of persons per hhld'
 / F15 'Total census family hhlds'
 / F16 'Cen fam hhlds - 2 persons'
 / F17 'Cen fam hhlds - 3 persons'
 / F18 'Cen fam hhlds - 4 persons'
 / F19 'Cen fam hhlds - 5 persons'
 / F20 'Cen fam hhlds - 6 persons'
 / F21 'Cen fam hhlds - 7 persons'
 / F22 'Cen fam hhlds - 8 persons'
 / F23 'Cen fam hhlds - 9 persons'
 / F24 'Cen fam hhlds - 10 or more persons'
 / F25 'Tot no. of persons in cen fam hhlds'
 / F26 'Avg. no. of persons per cen fam hhld'
 / F27 'Tot pvt hhlds'
 / F28 'Prim fam hhlds: H-W fam: Without chldrn: Without addnl person'
 / F29 'Prim fam hhlds: H-W fam: Without chldrn: With addnl person'
 / F30 'Prim fam hhlds: H-W fam: Without chldrn'
 / F31 'Prim fam hhlds: H-W fam: With chldrn: Without addnl person'
 / F32 'Prim fam hhlds: H-W fam: With chldrn: With addnl person'
 / F33 'Prim fam hhlds: H-W fam: With chldrn'
 / F34 'Prim fam hhlds: H-W fam'
 / F35 'Prim fam hhlds: LP fam: Without addnl person'
 / F36 'Prim fam hhlds: LP fam: With addnl person'
 / F37 'Prim fam hhlds: LP fam'
 / F38 'Prim fam hhlds'
 / F39 'Sec fam hhlds: H-W fam: Without chldrn'
 / F40 'Sec fam hhlds: H-W fam: With chldrn'
 / F41 'Sec fam hhlds: H-W fam'
 / F42 'Sec fam hhlds: LP fam'
 / F43 'Sec fam hhlds'
 / F44 'One fam hhlds'
 / F45 'Multiple fam hhlds'
 / F46 'Family hhlds'
 / F47 'Non-fam hhlds - One person only'
 / F48 'Non-fam hhlds - Two or more persons'
 / F49 'Non-fam hhlds'
.
VALUE LABELS
   RP
     0  'Canada'
     10  'Newfoundland'
     11  'Prince Edward Island'
     12  'Nova Scotia'
     13  'New Brunswick'
     24  'Quebec'
     35  'Ontario'
     46  'Manitoba'
     47  'Saskatchewan'
     48  'Alberta'
     59  'British Columbia'
     60  'Yukon'
     61  'Northwest Territories'
 / CSDS
     1  '500,000 & over'
     2  '100,000 - 499,999'
     3  '30,000 - 99,999'
     4  '10,000 - 29,999'
     5  '5,000 - 9,999'
     6  '2,500 - 4,999'
     7  '1,000 - 2,499'
     8  '0 - 999'
 / CAP
     1  'Urbanized core'
     2  'Urban fringe'
     3  'Rural fringe'
 / CASL
     0  'Not a CMA/CA'
     1  'CMA'
     2  'CA'
 / CASZ
     0  'Not a CMA/CA'
     1  '1,000,000 & over'
     2  '500,000 - 999,999'
     3  '250,000 - 499,999'
     4  '100,000 - 249,999'
     5  '50,000 - 99,999'
     6  '25,000 - 49,999'
     7  '10,000 - 24,999'
 / URS
     0  'Rural'
     1  '500,000 & over'
     2  '100,000 - 499,999'
     3  '30,000 - 99,999'
     4  '10,000 - 29,999'
     5  '5,000 - 9,999'
     6  '2,500 - 4,999'
     7  '1 - 2,499'
 / HGIMPIND
     1  'Includes IR or part of IR'
 / RECTYPE
     1  'Canada'
     2  'Provinces'
     3  'Remainder'
     10  'CMA/CA'
     12  'Prov. CT subtotal'
     13  'Census tracts'
     15  'Prov. census tracts'
     16  'Census divisions'
     17  'Census subdivisions'
     18  'Federal electoral districts'
     19  'Enumeration areas'
.
MISSING VALUES
.
SAVE OUTFILE= 'y'/* Replace 'y' with name to give your system file.
  /MAP
  /COMPRESSED. /* Delete this line if you want an uncompressed file
